=== debian/changelog ===
appstream (0.10.1-1) unstable; urgency=medium

  * New upstream release: 0.10.1
  * Drop patches: Applied upstream
  * Fix GIR package name and use GIR dh addon (Closes: #837684)
  * Add more multiarch metadata
  * Properly clean up the global cache on purge

 -- Matthias Klumpp <mak@debian.org>  Fri, 16 Sep 2016 14:28:38 +0200

appstream (0.10.0-2) unstable; urgency=medium

  * cache-serialization.patch: Correctly (de)serialize screenshot data
  * yaml-screenshot-image-type.patch: Set correct image type when
    reading YAML
  * addons-find-target.patch: Fix addon/target associations

 -- Matthias Klumpp <mak@debian.org>  Wed, 31 Aug 2016 22:34:06 +0200

appstream (0.10.0-1) unstable; urgency=medium

  * New upstream release: 0.10.0
  * Refresh dependencies
  * Build with stemming support
  * Drop all patches: Applied upstream
  * Update symbols file for ABI break

 -- Matthias Klumpp <mak@debian.org>  Tue, 30 Aug 2016 22:48:30 +0200

appstream (0.9.8-4) unstable; urgency=medium

  * cache-translate-urls.patch: Make cache aware of
    'translate' URLs (LP: #1614375)

 -- Matthias Klumpp <mak@debian.org>  Thu, 18 Aug 2016 20:28:56 +0200

appstream (0.9.8-3) unstable; urgency=medium

  * Fix cache update in postinst (Closes: #834136)
  * unittest-32bit-fix.patch: Fix build on 32bit architectures
    (Closes: #834124)

 -- Matthias Klumpp <mak@debian.org>  Tue, 16 Aug 2016 19:19:02 +0200

appstream (0.9.8-2) unstable; urgency=medium

  * unittest-arm-fix.patch: Resolve FTBFS on ARM due to
    failing unittests
  * Make libas-dev package depend on the GIR

 -- Matthias Klumpp <mak@debian.org>  Thu, 11 Aug 2016 20:02:18 +0200

appstream (0.9.8-1) unstable; urgency=medium

  * New upstream release: 0.9.8
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Wed, 10 Aug 2016 22:48:52 +0200

appstream (0.9.7-1) unstable; urgency=medium

  * New upstream release: 0.9.7
  * Update package descriptions
  * Update .symbols file

 -- Matthias Klumpp <mak@debian.org>  Wed, 20 Jul 2016 16:58:46 +0200

appstream (0.9.6-1) unstable; urgency=medium

  * New upstream release: 0.9.6

 -- Matthias Klumpp <mak@debian.org>  Thu, 12 May 2016 18:44:26 +0200

appstream (0.9.5-1) unstable; urgency=medium

  * New upstream release: 0.9.5
  * Drop patches: Applied upstream
  * Update .symbols file

 -- Matthias Klumpp <mak@debian.org>  Mon, 02 May 2016 18:48:14 +0200

appstream (0.9.4-2) unstable; urgency=medium

  * Update .symbols file
  * iconfinding-refactor.patch: Update iconfinding code,
    resolves double-free issue (Closes: #822317)

 -- Matthias Klumpp <mak@debian.org>  Fri, 22 Apr 2016 17:08:14 +0200
