## appstream 0.10.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 set(AS_VERSION_MAJOR  "0")
 set(AS_VERSION_MINOR  "10")
-set(AS_VERSION_PATCH  "1")
+set(AS_VERSION_PATCH  "6")
 set(AS_VERSION "${AS_VERSION_MAJOR}.${AS_VERSION_MINOR}.${AS_VERSION_PATCH}")
 set(APPSTREAM_LIB_API_LEVEL "4")
 
@@ -42,7 +42,6 @@
   set(CMAKE_INSTALL_SYSCONFDIR "/etc" CACHE PATH "read-only single-machine data (etc)")
   set(CMAKE_INSTALL_LOCALSTATEDIR "/var" CACHE PATH "modifiable single-machine data (var)")
 endif(${CMAKE_INSTALL_PREFIX} STREQUAL "/usr")
-set(CMAKE_INSTALL_METAINFODIR "share/metainfo" CACHE PATH "AppStream metainfo directory")
 include(GNUInstallDirs)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/data/cmake/)
 
@@ -120,6 +119,7 @@
 # enable C++11
 set(CMAKE_CXX_STANDARD "11")
 
+include(CMakePackageConfigHelpers)
 find_package(PkgConfig REQUIRED)
 
 add_subdirectory(src)
