=== src/CMakeLists.txt ===
--- 
+++ 
@@ -8,10 +8,14 @@
 pkg_check_modules(YAML REQUIRED yaml-0.1)
 
 if (STEMMING)
+	find_path(SNOWBALL_INCLUDE_DIR libstemmer.h HINTS "/usr/include" "/usr/include/libstemmer")
 	find_library(SNOWBALL_LIB stemmer)
-	if (NOT SNOWBALL_LIB)
+	if (NOT SNOWBALL_LIB OR NOT SNOWBALL_INCLUDE_DIR)
 		message (FATAL_ERROR "Stemming support is enabled, but libstemmer was not found. Please install the Snowball development files.")
 	endif ()
+else ()
+	set(SNOWBALL_LIB "")
+	set(SNOWBALL_INCLUDE_DIR "")
 endif ()
 
 include(GObjectIntrospectionMacros)
@@ -35,6 +39,7 @@
 		# internal
 		as-xmldata.c
 		as-yamldata.c
+		as-desktop-entry.c
 		as-cache-file.c
 		as-distro-extras.c
 		as-stemmer.c
@@ -86,6 +91,7 @@
 		as-utils-private.h
 		as-xmldata.h
 		as-yamldata.h
+		as-desktop-entry.h
 		as-cache-file.h
 		as-pool-private.h
 		as-component-private.h
@@ -101,6 +107,7 @@
 		    ${GIO2_INCLUDE_DIRS}
 		    ${LIBXML2_INCLUDE_DIR}
 		    ${YAML_INCLUDE_DIR}
+		    ${SNOWBALL_INCLUDE_DIR}
 )
 
 add_definitions("-DAS_COMPILATION")
