=== debian/changelog ===
appstream (0.10.6-1~ubuntu16.04.2) xenial-backports; urgency=medium

  * d/p/0001-Revert-apt-Do-not-enable-any-icon-downloads-by-defau.patch:
    Re-enable icon downloads by default - 16.04 doesn't have the
    corresponding fixes in software centers. (LP: #1661460)
  * debian/control: Remove the Breaks that were added for the above.

 -- Iain Lane <iain@orangesquash.org.uk>  Sun, 05 Feb 2017 10:27:19 +0000

appstream (0.10.6-1~ubuntu16.04.1) xenial-backports; urgency=medium

  * Backport to 16.04, with one change:
    - Lower the required Qt version to 5.4

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 01 Feb 2017 12:02:22 +0000

appstream (0.10.6-1) unstable; urgency=medium

  * New upstream version: 0.10.6
    - APT will no longer download icons by default if
      there are no GUI frontends available that use them (Closes: #847543)
    - AppStream GUIs will need to tell APT that they require icons.

 -- Matthias Klumpp <mak@debian.org>  Sun, 22 Jan 2017 19:56:54 +0100

appstream (0.10.5-1) unstable; urgency=medium

  * New upstream version: 0.10.5
    - Uses fnmatch on modalias provides (Closes: #841160)
    - More verbose error messages on cache update failures (Closes: #820774)
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Thu, 22 Dec 2016 18:06:34 +0100

appstream (0.10.4-1) unstable; urgency=medium

  * New upstream version: 0.10.4
  * Bump debhelper compat level

 -- Matthias Klumpp <mak@debian.org>  Sun, 27 Nov 2016 19:14:15 +0100

appstream (0.10.3-1) unstable; urgency=medium

  * New upstream version: 0.10.3
  * Update Qt package name for API break

 -- Matthias Klumpp <mak@debian.org>  Tue, 01 Nov 2016 16:46:12 +0100

appstream (0.10.2-1) unstable; urgency=medium

  * New upstream version: 0.10.2
  * Update dependencies
    - Drop intltool
    - Add itstool, gettext
    - Update minimum qtbase version
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Mon, 10 Oct 2016 20:05:52 +0200

appstream (0.10.1-2) unstable; urgency=medium

  * Install metainfo file

 -- Matthias Klumpp <mak@debian.org>  Mon, 03 Oct 2016 21:12:00 +0200
