=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Matthias Klumpp <mak@debian.org>
 Build-Depends: cmake (>= 2.8),
-               debhelper (>= 9.0.0),
+               debhelper (>= 10),
+               gettext,
                gobject-introspection,
                gtk-doc-tools,
-               intltool,
+               itstool,
                libgirepository1.0-dev (>= 1.32),
                libglib2.0-dev (>= 2.46),
                libstemmer-dev,
@@ -18,7 +19,7 @@
 Standards-Version: 3.9.8
 Homepage: http://www.freedesktop.org/wiki/Distributions/AppStream/
 Vcs-Git: https://anonscm.debian.org/git/pkg-packagekit/appstream.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-packagekit/appstream.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-packagekit/appstream.git
 
 Package: appstream
 Architecture: any
@@ -28,7 +29,7 @@
 Provides: appstream-index
 Description: Software component metadata management
  AppStream is a metadata specification, allowing to write metadata for
- software projects in a general-purpose format.
+ software projects in a standardized format.
  It provides facilities to easily access and transform the data, as well
  as a few additional services to allow building feature-rich software center
  applications.
@@ -50,7 +51,7 @@
          ${shlibs:Depends}
 Description: Library to access AppStream services
  AppStream is a metadata specification, allowing to write metadata for
- software projects in a general-purpose format. This allows software centers
+ software projects in a standardized format. This allows software centers
  to display useful information for not installed software, as well as
  determining software the user might want to install (e.g. to open an
  unknown file type or to make missing firmware available).
@@ -70,7 +71,7 @@
 Suggests: appstream-generator
 Description: Library to access AppStream services (development files)
  AppStream is a metadata specification, allowing to write metadata for
- software projects in a general-purpose format. This allows software centers
+ software projects in a standardized format. This allows software centers
  to display useful information for not installed software, as well as
  determining software the user might want to install (e.g. to open an
  unknown file type or to make missing firmware available).
@@ -88,14 +89,14 @@
 Replaces: gir1.2-appstream (<< 0.10.1)
 Description: Library to access AppStream services (introspection data)
  AppStream is a metadata specification, allowing to write metadata for
- software projects in a general-purpose format. This allows software centers
+ software projects in a standardized format. This allows software centers
  to display useful information for not installed software, as well as
  determining software the user might want to install (e.g. to open an
  unknown file type or to make missing firmware available).
  .
  This package contains introspection data for the AppStream library.
 
-Package: libappstreamqt1
+Package: libappstreamqt2
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -104,7 +105,7 @@
          ${shlibs:Depends}
 Description: Qt5 library to access AppStream services
  AppStream is a metadata specification, allowing to write metadata for
- software projects in a general-purpose format. This allows software centers
+ software projects in a standardized format. This allows software centers
  to display useful information for not installed software, as well as
  determining software the user might want to install (e.g. to open an
  unknown file type or to make missing firmware available).
@@ -116,12 +117,12 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libappstreamqt1 (= ${binary:Version}),
+Depends: libappstreamqt2 (= ${binary:Version}),
          qtbase5-dev (>= 5.4),
          ${misc:Depends}
 Description: Qt5 library to access AppStream services (development files)
  AppStream is a metadata specification, allowing to write metadata for
- software projects in a general-purpose format. This allows software centers
+ software projects in a standardized format. This allows software centers
  to display useful information for not installed software, as well as
  determining software the user might want to install (e.g. to open an
  unknown file type or to make missing firmware available).
@@ -137,7 +138,7 @@
 Suggests: appstream
 Description: Developer documentation for AppStream
  AppStream is a metadata specification, allowing to write metadata for
- software projects in a general-purpose format. This allows software centers
+ software projects in a standardized format. This allows software centers
  to display useful information for not installed software, as well as
  determining software the user might want to install (e.g. to open an
  unknown file type or to make missing firmware available).
